'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const MAINNET_BETA_DOMAINS = ['api.mainnet-mln.miraland.top', 'api.mainnet-beta.miraland.top', 'api.mainnet-mln.arcaps.com'];
const DEVNET_DOMAINS = ['api.devnet-mln.miraland.top', 'api.devnet-mln.arcaps.com'];
const TESTNET_DOMAINS = ['api.testnet-mln.miraland.top', 'api.testnet-mln.arcaps.com'];
const LOCALNET_DOMAINS = ['localhost', '127.0.0.1'];
const resolveClusterFromConnection = connection => {
  return resolveClusterFromEndpoint(connection.rpcEndpoint);
};
const resolveClusterFromEndpoint = endpoint => {
  const domain = new URL(endpoint).hostname;
  if (MAINNET_BETA_DOMAINS.includes(domain)) return 'mainnet-mln';
  if (DEVNET_DOMAINS.includes(domain)) return 'devnet-mln';
  if (TESTNET_DOMAINS.includes(domain)) return 'testnet-mln';
  if (LOCALNET_DOMAINS.includes(domain)) return 'localnet';
  return 'custom';
};

exports.resolveClusterFromConnection = resolveClusterFromConnection;
exports.resolveClusterFromEndpoint = resolveClusterFromEndpoint;
//# sourceMappingURL=Cluster.cjs.map
